import request from '@/utils/request'

// 订单统计信息
export function orderData(data) {
	return request({
		url: '/api/order/data',
		method: 'get',
		data
	});
}
// 获取默认地址
export function getAddressDefault(data) {
	return request({
		url: '/api/address/default',
		method: 'get',
		data
	});
}

// 获取单个地址
export function getAddressDetail(data,id) {
	return request({
		url: '/api/address/detail/'+ id,
		method: 'get',
		data
	});
}


// 砍价列表
export function getBargainList(data) {
	return request({
		url: '/api/bargain/list',
		method: 'get',
		data
	});
}


// 获取用户信息
export function userinfo(data) {
	return request({
		url: '/api/userinfo',
		method: 'get',
		data
	});
}



// 获取用户信息
export function userinfos(data) {
	return request({
		url: '/api/user',
		method: 'get',
		data
	});
}

// 获取佣金明细
export function getCommissionInfo(data,type) {
	return request({
		url: '/api/spread/commission/' + type,
		method: 'get',
		data
	});
}
// /*
//  * 资金明细（types|0=全部,1=消费,2=充值,3=返佣,4=提现）
//  * */
// export function getCommissionInfo(q, types) {
//   return request.get("spread/commission/" + types, q);
// }

/**
 * 获取分销海报图片
 * 
*/
export function spreadBanner(type){
	return request({
		url: '/api/spread/banner?type='+type,
		method: 'get'
	});
}

/*
 * 会员等级列表
 * 
*/
// export function userLevelGrade(){
//   return request.get('user/level/grade');
// }
export function userLevelGrade(data) {
	return request({
		url: '/api/user/level/grade',
		method: 'get',
		data
	});
}

/**
 * 获取某个等级任务
 * @param int id 任务id
*/
export function userLevelTask(id){
 return request({
 	url: '/api/user/level/task/'+id,
 	method: 'get',
 	
 });
  
}

// 获取客服列表
export function serviceList(data) {
	return request({
		url: '/api/user/service/list',
		method: 'get',
		data
	});
}


// 客服详情
export function getChatRecord(to_uid, data) {
	return request({
		url: "/api/user/service/record/" + to_uid,
		method: 'get',
		data
	});
}

/**
 * 客服详情
 */
// export function getChatRecord(to_uid, data) {
//   return request.get("user/service/record/" + to_uid, data);
// }

//获取产品详情

export function getProductDetail(id) {
	return request({
		url: '/product/detail/' + id,
		method: 'get',
		data: {}
	});
}
